Jul 052011
 

WordPress的升級還真是迅速,WordPress 3.1.4剛出沒幾天,3.2就正式發佈了。我升級後一看,似乎沒多大變化啊。聽說放棄了IE6,我就用IE6打開試下,結果很明顯——整個頁面佈局全部亂套了。

大勢所趨,IE6、PHP4對於現在來說已經很古老,早就該抛棄了,WordPress 3.2也爲了精簡代碼,放棄了IE6、PHP4。WordPress 3.2的突出改變是:

  • 全新的後臺環境
  • 全新的用HTML 5建立的Twenty Eleven佈景主題
  • 編輯器可以全屏顯示
  • 前臺Admin Bar功能增強
  • 放棄IE6及更舊版的瀏覽器
  • 主機最低要求從PHP 4.3、MySQL 4.1.2提高至PHP 5.2.4、MySQL 5.0.15
  • 更快的速度

以上的改變,我完全贊成。目前的主流瀏覽器已經可以正常解析HTML 5,並且它是未來的主流,因此現在就開始使用並不算超前。WordPress的編輯器弊端就是太小,現在變得那麼寬廣,喜歡在後臺寫文章的人應該會很喜歡,新用戶也可能會更習慣在後臺寫作,不過我還是喜歡用Live Writer。

IE6的確早就該放棄了,微軟也已經停止了對IE6的Support,還留着它做什麼。更何況,它很難正常顯示標準設計的網頁,跟不用說HTML 5、CSS 3了,不抛棄就真沒道理。不過對中國大陸來說就很特別了。在大陸,Ghost XP遍地橫行,瀏覽器依舊停留在IE6,用戶們也不懂得去更新。也難怪,大陸使用Ghost XP的用戶基本上都是連電腦基礎都比較差的人,就連升級IE這麼簡單的事情他們也不懂。同時這部份人喜歡使用QQ瀏覽器、360瀏覽器、搜狗瀏覽器等各種各樣的「殼牌」瀏覽器,它們無一例外全都使用IE內核。於是就形成IE6+外殼瀏覽器的古怪局面。更爲古怪的是,那些外殼瀏覽器從來都不會提示用戶升級IE的版本,結果呢,造成大陸IE6橫行霸道。趁此WordPress升級的機會,是該普及下IE8、IE9了。

而對於提高主機要求,這很合理。PHP 4.3與IE6一樣古老,IE6是11年前的產物,最後一次更新是2008年的SP3,僅僅是修修補補,PHP 4.3也已經是9年前的了,很不利於OOP,對於開發者來說這真是噩夢,不但會造成開發麻煩,而且還會增加大量代碼降低效率,同樣早該淘汰。

其實那個MySQL版本我覺得應該要繼續升級,最好提高到MySQL5.5,因爲版本較低的MySQL無法儲存Unicode EXT-B的字符,實在麻煩。

難怪說WordPress 3.2會變快,由於放棄版本較低的軟件,因此大量的舊代碼就沒用了,可以直接刪掉。這可真是革命性的一次更新。

Sorry, the comment form is closed at this time.